API reference
Get pickup options for checkout
Returns the pickup points the shopper can collect from, as an alternative to delivery.
GET
/v1/carts/shipping/pickup-optionsReturns the pickup points the shopper can collect from, as an alternative to delivery.
Query Parameters
ShippingMethodId*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/carts/shipping/pickup-options?ShippingMethodId=string"{ "locations": [ { "id": "string", "name": "string", "address": null, "city": null, "state": null, "country": null, "postalCode": null, "phone": null, "email": null, "isDefault": true, "isPhysicalStore": true, "pickupInstructions": null, "pickupLeadTimeInMinutes": null, "pickupSlotInMinutes": null, "pickupDailyCapacity": null, "schedule": [ { "day": "monday", "openTime": "14:15:22Z", "closeTime": "14:15:22Z", "isOpen": true } ] } ], "pickupPoints": [ { "id": "string", "locationId": null, "connectionId": null, "isExternal": true, "externalId": null, "name": "string", "address": null, "city": null, "state": null, "postalCode": null, "contactPhone": null, "observations": null, "leadTimeInMinutes": null, "schedule": [ { "day": "monday", "openTime": "14:15:22Z", "closeTime": "14:15:22Z", "isOpen": true } ] } ]}